Package net.shibboleth.idp.attribute.filter.spring.matcher.impl

# Class AttributeScopeRegexMatcherParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.idp.attribute.filter.spring.BaseFilterParser
net.shibboleth.idp.attribute.filter.spring.matcher.BaseAttributeValueMatcherParser
net.shibboleth.idp.attribute.filter.spring.matcher.impl.AbstractRegexMatcherParser
net.shibboleth.idp.attribute.filter.spring.matcher.impl.AttributeScopeRegexMatcherParser

All Implemented Interfaces:
  `BeanDefinitionParser`

public class AttributeScopeRegexMatcherParser extends AbstractRegexMatcherParser
Bean definition parser for `AttributeScopeRegexpMatcher`s.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final QName`
`SCHEMA_TYPE`
Schema type.

### Fields inherited from class net.shibboleth.idp.attribute.filter.spring.matcher.BaseAttributeValueMatcherParser

`ATTRIBUTE_ID`

### Fields inherited from class net.shibboleth.idp.attribute.filter.spring.BaseFilterParser

`AFP_ELEMENT_NAME, DENY_VALUE_RULE, NAMESPACE, PERMIT_VALUE_RULE, POLICY_REQUIREMENT_RULE, QUALIFIED_ID`

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`AttributeScopeRegexMatcherParser()`

## Method Summary

Modifier and Type
Method
Description
`protected Class<?>`
`getNativeBeanClass()`
Method return the native Matcher implementation.

### Methods inherited from class net.shibboleth.idp.attribute.filter.spring.matcher.impl.AbstractRegexMatcherParser

`doNativeParse`

### Methods inherited from class net.shibboleth.idp.attribute.filter.spring.matcher.BaseAttributeValueMatcherParser

`doParse, getBeanClass, hasAttributeId`

### Methods inherited from class net.shibboleth.idp.attribute.filter.spring.BaseFilterParser

`getAbsoluteReference, getQualifiedId, isPolicyRule, parseCustomElements, resolveId`

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SCHEMA_TYPE

@Nonnull public static final QName SCHEMA_TYPE
Schema type.

## Constructor Details

### AttributeScopeRegexMatcherParser

public AttributeScopeRegexMatcherParser()

## Method Details

### getNativeBeanClass

@Nonnull protected Class<?> getNativeBeanClass()
Method return the native Matcher implementation.

Specified by:
  `getNativeBeanClass` in class `BaseAttributeValueMatcherParser`
Returns:
  the class.